diff -ruN nagios-2.0a1.old/cgi/notifications.c nagios-2.0a1/cgi/notifications.c
--- nagios-2.0a1.old/cgi/notifications.c	2003-08-14 19:34:09.000000000 -0600
+++ nagios-2.0a1/cgi/notifications.c	2004-08-06 12:48:18.000000000 -0600
@@ -236,11 +236,13 @@
 		printf("<option value=%d %s>Service unknown\n",NOTIFICATION_SERVICE_UNKNOWN,(notification_options==NOTIFICATION_SERVICE_UNKNOWN)?"selected":"");
 		printf("<option value=%d %s>Service critical\n",NOTIFICATION_SERVICE_CRITICAL,(notification_options==NOTIFICATION_SERVICE_CRITICAL)?"selected":"");
 		printf("<option value=%d %s>Service recovery\n",NOTIFICATION_SERVICE_RECOVERY,(notification_options==NOTIFICATION_SERVICE_RECOVERY)?"selected":"");
+		printf("<option value=%d %s>Service flapping\n",NOTIFICATION_SERVICE_FLAP,(notification_options==NOTIFICATION_SERVICE_FLAP)?"selected":"");
 		if(query_type!=FIND_SERVICE){
 			printf("<option value=%d %s>Host acknowledgements\n",NOTIFICATION_HOST_ACK,(notification_options==NOTIFICATION_HOST_ACK)?"selected":"");
 			printf("<option value=%d %s>Host down\n",NOTIFICATION_HOST_DOWN,(notification_options==NOTIFICATION_HOST_DOWN)?"selected":"");
 			printf("<option value=%d %s>Host unreachable\n",NOTIFICATION_HOST_UNREACHABLE,(notification_options==NOTIFICATION_HOST_UNREACHABLE)?"selected":"");
 			printf("<option value=%d %s>Host recovery\n",NOTIFICATION_HOST_RECOVERY,(notification_options==NOTIFICATION_HOST_RECOVERY)?"selected":"");
+			printf("<option value=%d %s>Host flapping\n",NOTIFICATION_HOST_FLAP,(notification_options==NOTIFICATION_HOST_FLAP)?"selected":"");
 	                }
 		printf("</select></td>\n");
 		printf("</tr>\n");
@@ -580,6 +582,16 @@
 					notification_detail_type=NOTIFICATION_SERVICE_ACK;
 					strcpy(alert_level_class,"ACKNOWLEDGEMENT");
 				        }
+				else if(strstr(alert_level,"FLAPPINGSTART (")){
+					strcpy(alert_level,"FLAPPING START");
+					notification_detail_type=NOTIFICATION_SERVICE_FLAP;
+					strcpy(alert_level_class,"UNKNOWN");
+				        }
+				else if(strstr(alert_level,"FLAPPINGSTOP (")){
+					strcpy(alert_level,"FLAPPING STOP");
+					notification_detail_type=NOTIFICATION_SERVICE_FLAP;
+					strcpy(alert_level_class,"UNKNOWN");
+				        }
 				else{
 					strcpy(alert_level,"UNKNOWN");
 					notification_detail_type=NOTIFICATION_SERVICE_UNKNOWN;
@@ -608,6 +620,16 @@
 					strcpy(alert_level_class,"HOSTACKNOWLEDGEMENT");
 					notification_detail_type=NOTIFICATION_HOST_ACK;
 				        }
+				else if(strstr(alert_level,"FLAPPINGSTART (")){
+					strcpy(alert_level,"FLAPPING START");
+					strcpy(alert_level_class,"UNKNOWN");
+					notification_detail_type=NOTIFICATION_HOST_FLAP;
+				        }
+				else if(strstr(alert_level,"FLAPPINGSTOP (")){
+					strcpy(alert_level,"FLAPPING STOP");
+					strcpy(alert_level_class,"UNKNOWN");
+					notification_detail_type=NOTIFICATION_HOST_FLAP;
+				        }
 			        }
 
 			/* get the method name */
diff -ruN nagios-2.0a1.old/include/cgiutils.h.in nagios-2.0a1/include/cgiutils.h.in
--- nagios-2.0a1.old/include/cgiutils.h.in	2004-02-09 21:18:27.000000000 -0700
+++ nagios-2.0a1/include/cgiutils.h.in	2004-08-06 12:44:48.000000000 -0600
@@ -222,6 +222,8 @@
 #define NOTIFICATION_HOST_RECOVERY	256
 #define NOTIFICATION_SERVICE_ACK	512
 #define NOTIFICATION_HOST_ACK		1024
+#define NOTIFICATION_SERVICE_FLAP	2048
+#define NOTIFICATION_HOST_FLAP		4096
 
 
 /********************** HOST AND SERVICE ALERT TYPES **********************/
